<xsl:stylesheet	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >

	<xsl:output method="html" />

	<xsl:template match="//familytree">
        <html>
		<xsl:call-template name="html-header"/>
        <body>
        <a name="top"><!-- Seitenanfang --></a>
        <center>
        <p>
			<h1>Stammbaum der Familie <xsl:value-of select="@id"/></h1>
	        <small>
	        	(Erstellt von <xsl:value-of select="author"/>
	        	am <xsl:value-of select="version"/>:
	        	<xsl:value-of select="count(member)"/> Personen)
	        </small>
	        
	        <hr />
	        
			<table border="0" cellspacing="0" cellpadding="1" width="100%">
				<tr>
					<td width="25%" align="center"><b>Stammbaum</b></td>
            		<td width="25%" align="center"><a href="../index.htm">Index nach Name</a></td>
            		<td width="25%" align="center"><a href="../index_jahr.htm">Index nach Geburtsjahr</a></td>
            		<td width="25%" align="center"><a href="../statistic.htm">Statistiken</a></td>
				</tr>
			</table>
			
	        <hr />
	        
			<map name="famtree">
				#MAP-AREA#
			</map>
			<img src="#IMAGE-SRC#" usemap="#famtree" border="0" />
		</p>
        </center>
        </body>
        </html>
	</xsl:template>


    <!--
    	HTML-Header incl. Meta-Tags
    -->
    <xsl:template name="html-header">
		<head>
        <title>Stammbaum der Familie <xsl:value-of select="//familytree/@id"/></title>
        <link rel="stylesheet" type="text/css" href="../style.css" />
		<script language="JavaScript">
			function show(id) {
				member = window.open("../member/" + id + ".htm", "amember", "width=550,height=600,left=100,top=200,scrollbars=yes,resizable=yes");
				member.focus();
			}
		</script>
		</head>
	</xsl:template>

</xsl:stylesheet>
