<xsl:stylesheet	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >

	<xsl:output method="html" />

	<xsl:template match="//familytree">
        <html>
		<xsl:call-template name="html-header"/>
        <body>
        <a name="top"><!-- Seitenanfang --></a>
        <center>
        <p>
			<h1>Stammbaum der Familie <xsl:value-of select="@id"/></h1>
	        <small>
	        	(Erstellt von <xsl:value-of select="author"/>
	        	am <xsl:value-of select="version"/>:
	        	<xsl:value-of select="count(member)"/> Personen)
	        </small>
	        <hr />
			<table border="0" cellspacing="0" cellpadding="1" width="100%">
				<tr>
		            <td width="25%" align="center"><a href="map/map.htm">Stammbaum</a></td>
		            <td width="25%" align="center"><a href="index.htm">Index nach Name</a></td>
		            <td width="25%" align="center"><a href="index_jahr.htm">Index nach Geburtsjahr</a></td>
		            <td width="25%" align="center"><b>Statistik</b></td>
				</tr>
			</table>

            <hr />

			<table border="0" cellspacing="1" cellpadding="0" width="100%">
                <tr>
	                <td width="50%"><b>Vornamen</b></td>
	                <td width="50%"><b>Nachnamen</b></td>
                </tr>
			</table>

            <hr />

			<table border="0" cellspacing="1" cellpadding="0" width="100%">
                <tr>
	                <td width="50%" valign="top">
			            <xsl:call-template name="vornamen"/>
	                </td>
	                <td width="50%" valign="top">
			            <xsl:call-template name="nachnamen"/>
	                </td>
                </tr>
			</table>

            <br /><br /><br />
		</p>
        </center>
        </body>
        </html>
	</xsl:template>


    <!--
    	HTML-Header incl. Meta-Tags
    -->
    <xsl:template name="html-header">
		<head>
        <title>Stammbaum der Familie <xsl:value-of select="//familytree/@id"/></title>
        <link rel="stylesheet" type="text/css" href="style.css" />
		</head>
	</xsl:template>


    <!--
        Nachnamen-Statistik
    -->
	<xsl:template name="nachnamen">

		<table border="0" cellspacing="1" cellpadding="0">

			<xsl:for-each select="member">
				<xsl:sort order="ascending" select="@name"/>

				<xsl:variable name="theName" select="@name"/>
				<xsl:variable name="counter" select="count(//member[@name=$theName])"/>

				<xsl:if test="not(preceding::node()[@name=$theName])">
				<xsl:if test="not(contains($theName, '(verh.)'))">

	                <tr>
    		            <td>
            			    <b><xsl:value-of select="$theName"/><xsl:text>&#160;</xsl:text></b>
		                </td>
        				<td>
			                <span style="background-color:#cc0000;">
								<xsl:call-template name="repeat">
									<xsl:with-param name="howMany" select="$counter"/>
								</xsl:call-template>
            			    </span>
			                <small>	(<xsl:value-of select="$counter"/>) </small>
            		    </td>
					</tr>

				</xsl:if>
				</xsl:if>
			</xsl:for-each>

        </table>

	</xsl:template>


    <!--
        Vornamen-Statistik
    -->
	<xsl:template name="vornamen">

		<table border="0" cellspacing="1" cellpadding="0">

			<xsl:for-each select="member">
				<xsl:sort order="ascending" select="@nickname"/>

				<xsl:variable name="theName" select="@nickname"/>
				<xsl:variable name="counter" select="count(//member[@nickname=$theName])"/>

				<xsl:if test="not(preceding::node()[@nickname=$theName])">

	                <tr>
    		            <td>
            			    <b><xsl:value-of select="$theName"/><xsl:text>&#160;</xsl:text></b>
		                </td>
        				<td>
			                <span style="background-color:#cc0000;">
								<xsl:call-template name="repeat">
									<xsl:with-param name="howMany" select="$counter"/>
								</xsl:call-template>
            			    </span>
			                <small>	(<xsl:value-of select="$counter"/>) </small>
            		    </td>
					</tr>

				</xsl:if>
			</xsl:for-each>

        </table>

	</xsl:template>


<!--
	Hier die allgeimen brauchbare Funktion zur Simulation
    einer FOR-NEXT-Schleife
-->
<xsl:template name="repeat">
  <xsl:param name="howMany">1</xsl:param>

  <xsl:if test="$howMany &gt; 0">

    <!-- Add 1 to result tree -->
    <!-- DO THE WORK HERE -->
	<xsl:text>&#160;</xsl:text>

    <!-- Add remaining ($howMany - 1) -->
    <xsl:call-template name="repeat">
	   <xsl:with-param name="howMany" select="$howMany - 1"/>
    </xsl:call-template>

  </xsl:if>
</xsl:template>

</xsl:stylesheet>